package edu.ksu.cis.ndpc;

/**
 * @author Brian Mulanda
 * 
 */
public class ProofCheckerException extends Exception {
	int number;

	public ProofCheckerException() {
		this(null, -1);
	}

	public ProofCheckerException(String message) {
		this(message, -1);
	}

	public ProofCheckerException(String message, int number) {
		super(message);
		this.number = number;
	}

	public int getNumber() {
		return number;
	}
}
